# $Revision: 1.10 $, $Date: 2005/05/18 07:50:23 $
Summary:	Frontend for iptables
Summary(pl):	Frontend dla iptables
Name:		kmyfirewall
Version:	0.9.6.2
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/kmyfirewall/%{name}-%{version}.tar.bz2
# Source0-md5:	6237add44c0fe8af1f725a2e259ddba3
Patch0:		%{name}-desktop.patch
URL:		http://kmyfirewall.sourceforge.net/
BuildRequires:	arts-qt-devel
BuildRequires:	artsc-devel
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KMyFirewall attempts to make it easier to setup iptables based
firewalls on Linux systems.

%description -l pl
KMyFirewall uatwia konfiguracj firewalli opartych na Linuksie i
iptables.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT%{_desktopdir}/kde

# FIXME (desktop file name)
mv $RPM_BUILD_ROOT%{_datadir}/applnk/System/kmyfirewall.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/kde

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_libdir}/lib*.la
%{_datadir}/apps/*
%{_datadir}/config/kmyfirewallrc
%{_desktopdir}/kde/*
%{_iconsdir}/*/*/*/*
%{_datadir}/mimelnk/application/kmfrs.desktop

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kmyfirewall.spec,v $
Revision 1.10  2005/05/18 07:50:23  ankry
- desktop patch, rel. 3

Revision 1.9  2004/10/18 08:19:08  qboosh
- BR: automake

Revision 1.8  2004/10/18 02:55:20  domelu
- rel. 2

Revision 1.7  2004/10/18 02:25:28  domelu
- proper place for .sub (thx havner)

Revision 1.6  2004/10/18 02:21:37  domelu
- amd64 fix (.sub)

Revision 1.5  2004/09/02 10:12:35  kolodko
- typo

Revision 1.4  2004/08/28 12:59:29  kolodko
- added %post, %postun
- cosmetic
- rel 1.1

Revision 1.3  2004/02/18 19:19:19  qboosh
- sf Source URL unification

Revision 1.2  2004/02/18 11:08:00  ankry
- we do not have IPTables, other cosmetics

Revision 1.1  2004/02/18 10:55:47  mkierus
- initial release
